Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types
ChannelSwitchTypedefs Class Reference
Inheritance diagram for ChannelSwitchTypedefs:

List of all members.

## Public Types

typedef std::pair < BufferedTransformation *, std::string > | Route
typedef std::multimap < std::string, Route > | RouteMap
typedef std::pair < BufferedTransformation *, value_ptr< std::string > > | DefaultRoute
typedef std::list< DefaultRoute > | DefaultRouteList
typedef RouteMap::iterator | MapIterator
typedef DefaultRouteList::iterator | ListIterator

## Detailed Description

Definition at line 47 of file channels.h.

The documentation for this class was generated from the following file:

- channels.h